- Endpoint:
GET /api/v1/sports/events?si={{sportId}} - Description: Retrieves a list of all events categorized by
sportId. Thedataobject maps each sport ID to an array of event objects. - Method:
GET
Request Parameters
| Query String | Type | Description |
|---|
si | string | One or more Sport IDs (comma-separated). Supports up to 50 market IDs. |
Request Example
GET /api/v1/sports/events?si=1,2&li=12005859,846458734 HTTP/1.1 Host: {{baseUrl}}
Sample Response
{
"data": {
"1": [
{
"eid": 268416,
"na": "French Ligue 1",
"le": "French Ligue 1",
"st": "2018-08-11T14:00:00.000Z",
"go": false,
"ip": false,
"tv":"<iframe style='height: 230px; width: 100%;' src='<https://e765432.xyz/static/6e8d6d724eb0ffe4f4f3887693cbf8bc8842070d/getdata.php?chid=7106>'></iframe>"
"si": 1,
"li": 12005859
},
{
"eid": 1908053,
"na": "English Championship",
"le": "English Championship",
"st": "2021-08-06T18:45:00.000Z",
"go": false,
"ip": false,
"tv": null,
"si": 1,
"li": 12005859
}
],
"2": [
{
"eid": 34503802,
"na": "Set 01",
"le": "Nottingham Challenger 2025",
"st": "2025-07-11T10:00:00.000Z",
"go": false,
"ip": false,
"tv": null,
"si": 2,
"li": 846458734
},
{
"eid": 34503803,
"na": "Set 02",
"le": "Nottingham Challenger 2025",
"st": "2025-07-11T10:00:00.000Z",
"go": false,
"ip": false,
"tv": null,
"si": 2,
"li": 846458734
}
]
}
}
Glossary of Response Keys
| Key | Full Name | Data Type | Description |
|---|---|---|---|
data | eventMap | OBJECT | Mapping of sportId to a list of event objects |
eid | eventId | INT | Unique ID of the event |
na | name | STRING | Event name or title |
le | league | STRING | Name of the league or tournament |
st | startTime | STRING | Scheduled start time (ISO 8601 format) |
go | gameOver | BOOL | Indicates if the event has concluded |
ip | inPlay | BOOL | Indicates if the event is currently live |
si | sportId | INT | Sport ID to which the event belongs |
tv | TV | STRING | Iframe for live TV |
li | League Id | INT | Unique ID of the League |